Toutes les clefs pour réussir dans le e-commerce

Mes modules Prestashop

problème de traduction des modules sous prestashop 1.5.4

En effectuant une correction sur mes modules pour qu’ils soient compatibles avec la version 1.5.4 de Prestashop, je me suis aperçu que lorsqu’on accédait au panneau de traduction des modules on ne retrouvait pas l’intégralité des modules installés.

Ceci est dû à un bug dont voici la correction:

Ouvrez le fichier “controllers/admin/AdminTranslationsController.php” et repérez la ligne suivante (ligne 1335):


if ($this->theme_selected == self::DEFAULT_THEME_NAME && _PS_MODE_DEV_)

remplacez là par


if ($this->theme_selected == self::DEFAULT_THEME_NAME)

Toujours dans le même fichier repérez la ligne (ligne 2568):


if ($this->theme_selected != self::DEFAULT_THEME_NAME || !_PS_MODE_DEV_)

et remplacez là par


if ($this->theme_selected != self::DEFAULT_THEME_NAME)

Désormais l’intégralité de vos modules devraient s’afficher correctement.

Poster un Commentaire

7 Commentaires sur "problème de traduction des modules sous prestashop 1.5.4"

Recevoir un email pour
avatar
Trier par:   plus récent | plus vieux | Plus de vote
Steph
Invité

Salut et merci pour la correction.

En ce qui me concerne cela ne corrige pas mon problème. J’ai le blockmyaccount qui reste en anglais quoi que je fasse. Pourtant les traductions sont ok mais prestashop ne semble pas en tenir compte. Si tu as une idée d’ou cela pourrait venir ?

Merci d’avance.

Stephane.

Steph
Invité

C’est ce que j’ai fait mais ne marche pas non plus

lea
Invité
lea

merci bcp ca m’a reglé mon probleme
Super

solariane
Invité
solariane

Pour qqu’un qui passerait par là via Google comme moi, j’avais 2 sites officiellement tous les deux en 1.5.4.1 [ bloqué à cette version pour le moment pour des contraintes de compatibilités de modules ], l’un fonctionnait, l’autre pas ( affichage que de certains modules ) => la motif ci-dessus ne changeait rien en revanche fait un diff sur le fichier controllers/admin/AdminTranslationsController.php et bien que la version soit identique officiellement, en fait il y avait beaucoup de différences…j’ai écrasé le fichier sur le site problématique et tout fonctionne…

la différence vient à mon avis que le site qui ne fonctionnait pas était en fait un upgrade, tandis que le site fonctionnant était une fresh install

=> si vous avez le problème, installez en local ou ailleurs une copie “propre” de ce fichier et écrasez le fichier sur votre site problématique

mart
Invité
mart

Bonjour
après avoir essayé de changer les liens des mail automatiques envoyés au client “Order history” et “My account”

Cette erreur est apparu:
Warning: file_put_contents(/home/sonsdela/www/sonotherapie/themes/default/mails/en/account.html): failed to open stream: No such file or directory in /home/sonsdela/www/sonotherapie/controllers/admin/AdminTranslationsController.php on line 1457

Pensez vous le le problème pourrais être résolut avec votre solution ?

Cordialement

wpDiscuz